Verified Commit b8493bbd authored by flussence's avatar flussence

Fix repoman warning about bundled file over 20KB

...wait what
parent 5c0b0841
......@@ -12,13 +12,15 @@ SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc gconf nls +system-unicode"
DEPEND="
!gnome-extra/gucharmap:2.90
RDEPEND="
>=dev-libs/glib-2.16.3
>=x11-libs/gtk+-2.14.0:2
gconf? ( gnome-base/gconf:2 )
system-unicode? ( <=app-i18n/unicode-data-10.0.0 )"
RDEPEND="${DEPEND}"
gconf? ( gnome-base/gconf:2 )"
DEPEND="${RDEPEND}
system-unicode? (
>=dev-lang/perl-5.26.0
<=app-i18n/unicode-data-10.0.0
)"
PATCHES=( "${FILESDIR}"/unicode-10-defines.patch )
......@@ -27,13 +29,8 @@ src_prepare() {
if use system-unicode; then
cd -- "${S}"/gucharmap
rm unicode-{blocks,names,nameslist,unihan,categories,scripts,versions}.h
# N.B. gen-guch-unicode-tables.pl is absent from the 3.0.1 tarball. The version used here is
# from gucharmap-10.0.0, with missing gtk2 header include lines restored, but otherwise
# verbatim.
perl "${FILESDIR}"/gen-guch-unicode-tables.pl \
"$(best_version app-i18n/unicode-data)" \
/usr/share/unicode-data
rm unicode-{blocks,names{,list},unihan,categories,scripts,versions}.h
perl "${FILESDIR}"/gen-guch-unicode-tables.pl
fi
}
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment